package com.ss.android.ugc.aweme.web;

import X.0CB;
import X.0CG;
import X.0CH;
import X.0CN;
import com.bytedance.covode.number.Covode;

public class BaseLifeCycleObserver implements 0CG {
    static {
        Covode.recordClassIndex(124392);
    }

    @0CN(LIZ = 0CB.ON_CREATE)
    public void onCreate(0CH r1) {
    }

    @0CN(LIZ = 0CB.ON_DESTROY)
    public void onDestroy(0CH r1) {
    }

    @0CN(LIZ = 0CB.ON_ANY)
    public void onLifecycleChanged(0CH r1, 0CB r2) {
    }

    @0CN(LIZ = 0CB.ON_PAUSE)
    public void onPause(0CH r1) {
    }

    @0CN(LIZ = 0CB.ON_RESUME)
    public void onResume(0CH r1) {
    }

    @0CN(LIZ = 0CB.ON_START)
    public void onStart(0CH r1) {
    }

    @0CN(LIZ = 0CB.ON_STOP)
    public void onStop(0CH r1) {
    }
}
